Deep nest
-
Looking for a plugin that has a; ONE click exit from a deeply nested component preferably “right click context menu” Any tool exist?
-
Have you tried using the Outliner?
-
@dave r said:
Have you tried using the Outliner?
Never thought of using it.. it works. I'd still prefer right click exit
-
Paste this into a file with the .rb extension in your plugins folder.
UI.add_context_menu_handler {|menu| menu.add_item("Close All Contexts") { Sketchup.active_model.selection.clear while (Sketchup.active_model.close_active); end } }
-
Perfect Jim thank you very much
-
[Plugin] Deep Nested Escape?
-
Nice!
I am unable to assign a keyboard shortcut to it. How can I do it? -
You'll find it in the context menu: right click-->Close All Contexts
-
Since it is in the Context menu, you need to have something selected such that there'd be a Context menu entry for the plugin. Open a component or group within a nest and select an edge or face. It'll then be available for setting the shortcut.
-
@dave r said:
Since it is in the Context menu, you need to have something selected such that there'd be a Context menu entry for the plugin. Open a component or group within a nest and select an edge or face. It'll then be available for setting the shortcut.
[attachment=0:32nirxzw]<!-- ia0 -->close.PNG<!-- ia0 -->[/attachment:32nirxzw]
Right!! thanks!!!
Excellent!!! -
Not so easy I'm afraid, but i might be wrong. It will work only depending on what you have selected when you assigned the shortcut and not in any situation and at any "level" of selection like the "normal" right click does.
-
Massimo, you're right. However the plugin isn't available to select from the Function list unless an entity within a component is selected. It doesn't have to be a face within an inner component. It could be a component that is selected. Unless an entity is selected, though, the keyboard shortcut won't work. Weird.
-
@jim said:
Paste this into a file with the .rb extension in your plugins folder.
> UI.add_context_menu_handler {|menu| > menu.add_item("Close All Contexts") { > Sketchup.active_model.selection.clear > while (Sketchup.active_model.close_active); end > } > } >
Called it BackOut.rb, assigned a shortcut to it, added it to a key on my P.I. Engineering x-keys keyboard and now I can back out from within any group/component with one key. Sure beats pecking at the Escape key
Thank you very much -
You're welcome.
I will be adding 2 commands to Custom Toolbars named "CloseActive" and "CloseAllActive" for those who like toolbar buttons.
-
Bob, I could put "BackOut.rb" in the Plugin Store, if that would be alright with you.
Although I wonder if it's worth it for what is practically a one-liner; but I suppose code size isn't always related to usefulness.
-
@jim said:
Paste this into a file with the .rb extension in your plugins folder.
> UI.add_context_menu_handler {|menu| > menu.add_item("Close All Contexts") { > Sketchup.active_model.selection.clear > while (Sketchup.active_model.close_active); end > } > } >
Thanks a lot! Those few lines of code make working with more complex object trees much easier.
-
@kaas said:
Thanks a lot! Those few lines of code make working with more complex object trees much easier.
The Outliner will let you jump directly in and out of the model hierarchy.
-
@tt_su said:
The Outliner will let you jump directly in and out of the model hierarchy.
I know, I use it all the time but using a keypress is a bit more quick than moving the pen to the outliner and back again.
-
@jim said:
Bob, I could put "BackOut.rb" in the Plugin Store, if that would be alright with you.
It's your plugin, all I did was give it a name
@jim said:
Although I wonder if it's worth it for what is practically a one-liner; but I suppose code size isn't always related to usefulness.
This one is worth it
-
looked for this in the plugin store... didn't find it. needs to be there. doesn't seem to work in 2015?
Advertisement